Reverse the normal direction of many surfaces?

Is there a way to find multiple polysurface showing the reverse and flip them over?

If each object is selected, the command will be used
Flip, Dir

Dim strObject

strObject = Rhino.GetObject("Select a surface to reverse")

If Rhino.IsSurface(strObject) Then

Rhino.ReverseSurface strObject, 1

End If

I think you are looking for FlipSurface(), not ReverseSurface() if you want to flip the surface normals. Unfortunately, the Rhinoscript/rhinoscriptsyntax methods only take single surfaces, not joined Breps (don’t know why though). For polysurfaces I think the only way to be able to do it via a script is either to script the “Flip” command, or work with Python/RhinoCommon Brep.Flip().

Must have some syntax, search for all “backkface”

Hello,

Do the inverted surfaces show a negative volume? That could be a way to identify them…?

Graham